//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;
using System.Windows.Forms;

using MindFusion.Reporting.Export;


namespace MindFusion.Reporting.WinForms.Samples.CS.Barcodes
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			var catalogReport = new ListBoundReport();
			reportViewer.Margins = new Margins(10);
			reportViewer.Report = catalogReport;
		}

		void previewToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var printer = new ReportPrinter();
			printer.Report = reportViewer.Report;
			printer.DefaultPageSettings.Margins = new System.Drawing.Printing.Margins(
				(int)(reportViewer.Margins.Left / 25.4 * 100),
				(int)(reportViewer.Margins.Top / 25.4 * 100),
				(int)(reportViewer.Margins.Right / 25.4 * 100),
				(int)(reportViewer.Margins.Bottom / 25.4 * 100));

			var options = new PreviewOptions();
			options.TitleBarIcon = Icon;

			var preview = new PrintPreviewForm();
			preview.Text = "Catalog Report (Preview)";
			preview.Document = printer;
			preview.ShowDialog();
		}

		void exitToolStripMenuItem_Click(object sender, EventArgs e)
		{
			Close();
		}

		void imageToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "Image Files (*.png)|*.png|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				ImageExporter exporter = new ImageExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}

		void htmlToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "HTML Files (*.html)|*.html|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				HtmlExporter exporter = new HtmlExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}

		void pdfToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "PDF Files (*.pdf)|*.pdf|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				PdfExporter exporter = new PdfExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}

		void excelToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "Excel Files (*.xlsx)|*.xlsx|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				ExcelExporter exporter = new ExcelExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}
	}
}